extends RigidBody2D

var speed = 100
onready var screen_size = get_parent().screen_size

func _ready():
	randomize()
	apply_central_impulse(rnd_dir() * speed)
	pass

func rnd_dir():
	var x = rand_range(-10, 10)
	var y = rand_range(-10, 10)
	return (Vector2(x,y))

func _physics_process(delta):
	if self.position.y > screen_size.y or self.position.x < -1 or self.position.x > screen_size.x:
		self.queue_free()
	pass
